Create contact
curl --request POST \
--url https://api.voxworks.ai/api/v1/create-contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "0429069971",
"first_name": "John",
"last_name": "Smith",
"email": "john.smith@example.com",
"title": "Mr"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '0429069971',
first_name: 'John',
last_name: 'Smith',
email: 'john.smith@example.com',
title: 'Mr'
})
};
fetch('https://api.voxworks.ai/api/v1/create-contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voxworks.ai/api/v1/create-contact"
payload = {
"phone_number": "0429069971",
"first_name": "John",
"last_name": "Smith",
"email": "john.smith@example.com",
"title": "Mr"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"contact_id": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Invalid API key"
}{
"success": false,
"message": "Contact with this phone number already exists"
}{
"success": false,
"message": "Rate limit exceeded"
}{
"success": false,
"message": "Internal server error"
}Contacts
Create contact
Create a new contact for your team. The request fails if a contact with the same normalized phone number already exists.
POST
/
api
/
v1
/
create-contact
Create contact
curl --request POST \
--url https://api.voxworks.ai/api/v1/create-contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "0429069971",
"first_name": "John",
"last_name": "Smith",
"email": "john.smith@example.com",
"title": "Mr"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '0429069971',
first_name: 'John',
last_name: 'Smith',
email: 'john.smith@example.com',
title: 'Mr'
})
};
fetch('https://api.voxworks.ai/api/v1/create-contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voxworks.ai/api/v1/create-contact"
payload = {
"phone_number": "0429069971",
"first_name": "John",
"last_name": "Smith",
"email": "john.smith@example.com",
"title": "Mr"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"contact_id": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Invalid API key"
}{
"success": false,
"message": "Contact with this phone number already exists"
}{
"success": false,
"message": "Rate limit exceeded"
}{
"success": false,
"message": "Internal server error"
}Authorizations
API key from Voxworks, sent as Authorization: Bearer YOUR_API_KEY.
Body
application/json

